package com.zcloud.mapper.datasource.eightwork;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * @author fangjiakai
 * @date 2024/01/17 11:31
 */
public interface HotworkMapper {
    PageData getCode(PageData pd);

    PageData findById(PageData pd);

    void save(PageData pd);

    void delete(PageData pd);

    void edit(PageData pd);

    void editVideo(PageData pd);

    void editGasTime(PageData pd);

    void editStep(PageData pd);

    void setPosition(PageData pd);

    List<PageData> datalistPage(Page page);

    List<PageData> namelist(PageData pd);

    List<PageData> listAllMeasures();

    List<PageData> checkWorkCount(PageData pd);

    List<PageData> getFlowList(PageData pd);

    List<PageData> getMapList(PageData pd);
}
